Grails 2.x project import

How do you successfully import a grails 2.x project from sources in the IDEA 16 eap?  This used to be really easy but now when I do it I get my plugins all tagged as grails modules, but the main application is just a java/groovy one.  The grails view only shows my plugins and when I try and use the builtin grails run-app/test-app configurations I'm presented with the plugins as the only acceptable modules and I can't interact with my main project.

Did the 2.x support get broken when the 3.x support was added?

Do I have to go grab an old version of IDEA and then migrate the project forward (which is effectively what has happened with my other grails apps).

 

3 comments
Comment actions Permalink

FYI the same procedure in Intellij 14 worked perfectly.

0
Comment actions Permalink

Hi,

First, sorry for any inconvenience.
We did major changes in Grails support, but tried to preserve Grails 2.x related logic in IDEA as is. 

If it is ok, could you please attach your project or email me directly (daniil.ovchinnikov@jetbrains.com)?
If not, could you please attach grails-app/conf/BuildConfig.groovy?
If not again, please provide following info:

Is this regular project or maven+grails or gradle+grails?
What version of Grails do you use?
Do you use inline plugins?
Do you have plugin.xml file in the root of your application (considering root as the folder that contains grails-app/ and application.properties)? 
Could you please describe the structure of your project?
For example:

root/
- grails-app/...
- application.properties
- ...
my-inline-plugin/
- grails-app/...
- application.properties
- ...

Or:

root/
- grails-app/...
- application.properties
- ...
- somedir/
- - ...
- - someplugin/
- - - grails-app/...
- - - application.properties
- - - ...

 

 

0
Comment actions Permalink

replied by email with an example.

0

Please sign in to leave a comment.